// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: essmodule/essmodule.proto

package openfmb.essmodule;

public interface ESSEventZGENOrBuilder extends
    // @@protoc_insertion_point(interface_extends:essmodule.ESSEventZGEN)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.essmodule.ESSEventAndStatusZGEN eSSEventAndStatusZGEN = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the eSSEventAndStatusZGEN field is set.
   */
  boolean hasESSEventAndStatusZGEN();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.essmodule.ESSEventAndStatusZGEN eSSEventAndStatusZGEN = 1 [(.uml.option_parent_message) = true];</code>
   * @return The eSSEventAndStatusZGEN.
   */
  openfmb.essmodule.ESSEventAndStatusZGEN getESSEventAndStatusZGEN();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.essmodule.ESSEventAndStatusZGEN eSSEventAndStatusZGEN = 1 [(.uml.option_parent_message) = true];</code>
   */
  openfmb.essmodule.ESSEventAndStatusZGENOrBuilder getESSEventAndStatusZGENOrBuilder();
}
